/*****************************************************************************
*   Presentation: 300 - Using Event Notifications in SQL Server 2005-2008
*   FileName:  	  10.1 - Audting Role Changes Demo.sql
*
*   Summary: Demonstrates auditing role changes.
*
*   Date: September 7, 2011 
*
*   SQL Server Versions:
*         2005, 2008, 2008 R2
*         
******************************************************************************
*   Copyright (C) 2011 Jonathan M. Kehayias, SQLskills.com
*   All rights reserved. 
*
*   For more scripts and sample code, check out 
*      http://sqlskills.com/blogs/jonathan
*
*   You may alter this code for your own *non-commercial* purposes. You may
*   republish altered code as long as you include this copyright and give 
*	due credit. 
*
*
*   THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF 
*   ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED 
*   TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
*   PARTICULAR PURPOSE. 
*
******************************************************************************/

USE [master]
GO
CREATE LOGIN [Test] WITH PASSWORD=N'test', DEFAULT_DATABASE=[master], CHECK_EXPIRATION=OFF, CHECK_POLICY=OFF
GO
EXEC master..sp_addsrvrolemember @loginame = N'Test', @rolename = N'sysadmin'
GO
USE [EventNotificationsDB]
GO
CREATE USER [Test] FOR LOGIN [Test]
GO
USE [EventNotificationsDB]
GO
EXEC sp_addrolemember N'db_datareader', N'Test'
GO
USE [EventNotificationsDB]
GO
EXEC sp_addrolemember N'db_datawriter', N'Test'
GO
USE [EventNotificationsDB]
GO
EXEC sp_addrolemember N'db_ddladmin', N'Test'
GO
USE [EventNotificationsDB]
GO
EXEC sp_addrolemember N'db_owner', N'Test'
GO
